跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 24.7.0, which is no longer the latest release. See the latest release.

Lists all dependency alerts for a repository

GET
/repos/{owner}/{repo}/security/dependency_alerts
curl --request GET \
--url 'https://gitea.example.com/api/v1/repos/example/example/security/dependency_alerts?page=1&state=open&sort_type=index&severity=MODERATE' \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

page
integer
default: 1 >= 1

Page number of results to return (1-based)

limit
integer

Number of items per page

state
string
default: open
Allowed values: open closed all

State of the alert

branch
string

Branch name to filter alerts

sort_type
string
default: index
Allowed values: newest oldest severity manifest package index

Sort type of the alert

severity
string
Allowed values: MODERATE HIGH CRITICAL LOW ""

Severity of the alert

ecosystem
string

Ecosystem of the alert (e.g., “npm”, “pip”, “maven”)

manifest
string

Manifest file of the alert (e.g., “package.json”, “pom.xml”)

package_name
string

Package name of the alert (e.g., “lodash”, “requests”)

DependencyAlertList

Media typeapplication/json
Array<object>

AlertInfo represents a dependency alert

object
affected_versions

Affected versions of the package

Array<object>
object
key
additional properties
branch_name

Branch name

string
close_commit_id

Commit ID of the fix that closed the alert

string
close_commit_pusher

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
close_source

Source of the closure

string
closed_at
string format: date-time
comments

Associated comments

Array<object>
object
alert_id

Associated alert ID

integer format: int64
closed_pull_issue_index

Index of the issue/pull that closed the alert

integer format: int64
commit_id

Commit id of the comment

string
created
string format: date-time
dismiss_reason

The reason for the dismissal

string
id

Comment ID

integer format: int64
poster

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_merge_commits
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
avatar_url
string
clone_url
string
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo
boolean
description
string
id
integer format: int64
includes_all_repositories
boolean
name
string
organization

Organization represents an organization

object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username

Deprecated

string
visibility
string
website
string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
size
integer format: int64
ssh_url
string
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string
watchers_count
integer format: int64
website
string
type

Type of comment

type: string

string
Allowed values: open update close reopen dismissed manually_reopen
commit_id

Commit ID of the alert triggered

string
compare_as

How to compare versions

string
created_at
string format: date-time
dismiss_reason

Reason for dismissal

string
ecosystem

Type of ecosystem

type: string

string
Allowed values: npm PyPI Pub ConanCenter Maven crates.io Nuget Go RubyGems
ecosystem_tool_version

Version of the ecosystem tool

string
fixed_version

Fixed version of the package

string
id

Alert ID

integer format: int64
index

Index of the alert in the repository

integer format: int64
lock_filename

Dependency file name

string
manifest

Dependency file name

string
package_commit

Commit of the package

string
package_name

Name of the package

string
package_version

Version of the package

string
published_at
string format: date-time
pusher

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_merge_commits
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
avatar_url
string
clone_url
string
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo
boolean
description
string
id
integer format: int64
includes_all_repositories
boolean
name
string
organization

Organization represents an organization

object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username

Deprecated

string
visibility
string
website
string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
size
integer format: int64
ssh_url
string
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string
watchers_count
integer format: int64
website
string
severity_level

Severity level of the alert

string
status

Alert status

type: string

string
Allowed values: open closed
updated_at
string format: date-time
vulnerability

Vulnerability represents a vulnerability in the OSV format

object
affected

A list of affected versions

Array<object>
Affected describes an affected package version, meaning one instance that contains the vulnerability.
object
database_specific
object
key
additional properties
ecosystem_specific
object
key
additional properties
package

Package represents a package

object
created_at
string format: date-time
creator

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
html_url
string
id
integer format: int64
name
string
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
repository

Repository represents a repository

object
allow_fast_forward_only_merge
boolean
allow_merge_commits
boolean
allow_rebase
boolean
allow_rebase_explicit
boolean
allow_rebase_update
boolean
allow_squash_merge
boolean
archived
boolean
archived_at
string format: date-time
avatar_url
string
clone_url
string
created_at
string format: date-time
default_allow_maintainer_edit
boolean
default_branch
string
default_delete_branch_after_merge
boolean
default_merge_style
string
description
string
empty
boolean
external_tracker

ExternalTracker represents settings for external tracker

object
external_tracker_format

External Issue Tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.

string
external_tracker_regexp_pattern

External Issue Tracker issue regular expression

string
external_tracker_style

External Issue Tracker Number Format, either numeric, alphanumeric, or regexp

string
external_tracker_url

URL of external issue tracker.

string
external_wiki

ExternalWiki represents setting for external wiki

object
external_wiki_url

URL of external wiki.

string
fork
boolean
forks_count
integer format: int64
full_name
string
has_actions
boolean
has_issues
boolean
has_packages
boolean
has_projects
boolean
has_pull_requests
boolean
has_releases
boolean
has_wiki
boolean
html_url
string
id
integer format: int64
ignore_whitespace_conflicts
boolean
internal
boolean
internal_tracker

InternalTracker represents settings for internal tracker

object
allow_only_contributors_to_track_time

Let only contributors track time (Built-in issue tracker)

boolean
enable_issue_dependencies

Enable dependencies for issues and pull requests (Built-in issue tracker)

boolean
enable_time_tracker

Enable time tracking (Built-in issue tracker)

boolean
language
string
languages_url
string
licenses
Array<string>
link
string
mirror
boolean
mirror_interval
string
mirror_updated
string format: date-time
name
string
object_format_name

ObjectFormatName of the underlying git repository

string
Allowed values: sha1 sha256
open_issues_count
integer format: int64
open_pr_counter
integer format: int64
original_url
string
owner

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
parent
object recursive
permissions

Permission represents a set of permissions

object
admin
boolean
pull
boolean
push
boolean
private
boolean
projects_mode
string
release_counter
integer format: int64
repo_transfer

RepoTransfer represents a pending repo transfer

object
doer

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
recipient

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
teams
Array<object>

Team represents a team in an organization

object
can_create_org_repo
boolean
description
string
id
integer format: int64
includes_all_repositories
boolean
name
string
organization

Organization represents an organization

object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username

Deprecated

string
visibility
string
website
string
permission
string
Allowed values: none read write admin owner
units
Array<string>
units_map
object
key
additional properties
string
size
integer format: int64
ssh_url
string
stars_count
integer format: int64
template
boolean
topics
Array<string>
updated_at
string format: date-time
url
string
watchers_count
integer format: int64
website
string
type
string
version
string
ranges
Array<object>
Range describes the affected range of given version for a specific package.
object
database_specific
object
key
additional properties
events
Array<object>
Event describes a single version that either:

Introduces a vulnerability: {“introduced”: string} Fixes a vulnerability: {“fixed”: string} Describes the last known affected version: {“last_affected”: string} Sets an upper limit on the range being described: {“limit”: string}

Event instances form part of a “timeline” of status changes for the affected package described by the Affected struct.

See: https://ossf.github.io/osv-schema/#affectedrangesevents-fields

object
fixed
string
introduced
string
last_affected
string
limit
string
repo
string
type
string
severity
Array<object>
Severity is used to describe the severity of a vulnerability for an affected package using one or more quantitative scoring methods.
object
score
string
type
string
versions
Array<string>
aliases

A list of aliases for the vulnerability

Array<string>
credits

A list of credits for the vulnerability

Array<object>
Credit gives credit for the discovery, confirmation, patch, or other events in the life cycle of a vulnerability.
object
contact
Array<string>
name
string
type
string
database_specific

DatabaseSpecific contains any additional information specific to a particular database

object
key
additional properties
details

A detailed description of the vulnerability

string
id

The ID of the vulnerability, e.g. “CVE-2021-1234” or “GHSA-abcd-efgh-ijkl”

string
modified
string format: date-time
published
string format: date-time
references

A list of references for more information

Array<object>
Reference represents a Git reference.
object
object
GitObject represents a Git object.
object
sha
string
type
string
url
string
ref
string
url
string
related

A list of related vulnerability IDs

Array<string>
schema_version

The source of the vulnerability, e.g. “nvd”, “ghsa”, “gitlab”, “gitea”

string
severity

A list of severity levels

Array<object>
Severity is used to describe the severity of a vulnerability for an affected package using one or more quantitative scoring methods.
object
score
string
type
string
summary

A brief summary of the vulnerability

string
withdrawn
string format: date-time
Example
[
{
"close_commit_pusher": {
"login_name": "empty"
},
"comments": [
{
"poster": {
"login_name": "empty"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"login_name": "empty"
},
"repo_transfer": {
"doer": {
"login_name": "empty"
},
"recipient": {
"login_name": "empty"
},
"teams": [
{
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
}
}
]
}
},
"type": "open"
}
],
"ecosystem": "npm",
"pusher": {
"login_name": "empty"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"login_name": "empty"
},
"repo_transfer": {
"doer": {
"login_name": "empty"
},
"recipient": {
"login_name": "empty"
},
"teams": [
{
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
}
}
]
}
},
"status": "open",
"vulnerability": {
"affected": [
{
"package": {
"creator": {
"login_name": "empty"
},
"owner": {
"login_name": "empty"
},
"repository": {
"object_format_name": "sha1",
"owner": {
"login_name": "empty"
},
"repo_transfer": {
"doer": {
"login_name": "empty"
},
"recipient": {
"login_name": "empty"
},
"teams": [
{
"permission": "none",
"units": [
"repo.code",
"repo.issues",
"repo.ext_issues",
"repo.wiki",
"repo.pulls",
"repo.releases",
"repo.projects",
"repo.ext_wiki"
],
"units_map": {
"repo.code": "read",
"repo.ext_issues": "none",
"repo.ext_wiki": "none",
"repo.issues": "write",
"repo.projects": "none",
"repo.pulls": "owner",
"repo.releases": "none",
"repo.wiki": "admin"
}
}
]
}
}
}
}
]
}
}
]

APIError is error format response

Media typeapplication/json
message
string
url
string